/* -----------------------------------------------------------------------------
 *
 * Giada - Your Hardcore Loopmachine
 *
 * -----------------------------------------------------------------------------
 *
 * Copyright (C) 2010-2017 Giovanni A. Zuliani | Monocasual
 *
 * This file is part of Giada - Your Hardcore Loopmachine.
 *
 * Giada - Your Hardcore Loopmachine is free software: you can
 * redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * Giada - Your Hardcore Loopmachine is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Giada - Your Hardcore Loopmachine. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * -------------------------------------------------------------------------- */



#ifndef G_MIXER_HANDLER_H
#define G_MIXER_HANDLER_H


#include <string>


class Channel;
class SampleChannel;


namespace giada {
namespace m {
namespace mh
{


Channel* addChannel(int type);



int deleteChannel(Channel* ch);



Channel* getChannelByIndex(int i);



bool hasLogicalSamples();



bool hasEditedSamples();



void stopSequencer();

void rewindSequencer();



bool uniqueSolo(Channel* ch);



void readPatch();



bool startInputRec();

void stopInputRec();



bool uniqueSamplePath(const SampleChannel* skip, const std::string& p);



bool hasArmedSampleChannels();
}}}  


#endif
